## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name docstring-to-markdown
%global module_name docstring_to_markdown

# Use forge macros for pulling from GitHub
%global forgeurl https://github.com/python-lsp/docstring-to-markdown

Name:           python-%{pypi_name}
Version:        0.15
Release:        %{autorelease}
Summary:        On the fly conversion of Python docstrings to Markdown
%forgemeta
License:        LGPL-2.1-or-later
URL:            %forgeurl
Source:         %forgesource

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%global _description %{expand:
On the fly conversion of Python docstrings to markdown

- Python 3.6+
- Recognises reStructuredText and converts multiple of its features to Markdown
- since v0.13 includes initial support for Google-formatted docstrings
}

%description %_description

%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%forgeautosetup -p1
# Disable coverage and linter
sed -i -e '/--[cov|flake]/d' setup.cfg


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l %{module_name}


%check
%pytest


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.*


%changelog
## START: Generated by rpmautospec
* Wed Mar 13 2024 Sandro <devel@penguinpee.nl> - 0.15-4
- Fix Packit config

* Mon Mar 04 2024 Sandro <devel@penguinpee.nl> - 0.15-3
- Remove unnecessary parameters from .packit.yml

* Mon Mar 04 2024 Sandro <devel@penguinpee.nl> - 0.15-2
- Assert existence of license file

* Mon Mar 04 2024 Sandro <devel@penguinpee.nl> - 0.15-1
- Update to 0.15 (RHBZ#2265453)

* Tue Feb 20 2024 Packit <hello@packit.dev> - 0.14-1
- [packit] 0.14 upstream release
- Resolves rhbz#2265144

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Oct 13 2023 Sandro <devel@penguinpee.nl> - 0.13-3
- Whitespace change

* Fri Oct 13 2023 Sandro <devel@penguinpee.nl> - 0.13-2
- Add Packit config

* Fri Oct 13 2023 Sandro <devel@penguinpee.nl> - 0.13-1
- Update to 0.13 (RHBZ#2243773)
- Update description and summary

* Fri Oct 13 2023 Sandro <devel@penguinpee.nl> - 0.12-2
- Use forge macros and pull from GitHub

* Sat Sep 02 2023 Sandro <devel@penguinpee.nl> - 0.12-1
- Initial release (RHBZ#2236998)
## END: Generated by rpmautospec
